Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.spi.debugger.ui/1 2.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.debugger.ui
Interface Controller

    public interface Controller

Support for validation of various customizers. This interface can be optionally implemented by some customizers like Attach Panel (see `AttachType.getCustomizer()`) and breakpoint customizer (see `BreakpointType.getCustomizer()`).

Field Summary
`static String` | `PROP_VALID` Property name constant for valid property.

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener l)` Add a listener to property changes.
`boolean` | `cancel()` Called when "Cancel" button is pressed.
`boolean` | `isValid()` Return `true` whether value of this customizer is valid (and OK button can be enabled).
`boolean` | `ok()` Called when "Ok" button is pressed.
`void` | `removePropertyChangeListener(PropertyChangeListener l)` Remove a listener to property changes.

Field Detail

### PROP_VALID

    static final String PROP_VALID

  Property name constant for valid property.

  See Also:
    Constant Field Values

Method Detail

### ok

    boolean ok()

  Called when "Ok" button is pressed.

  Returns:
    whether customizer can be closed

### cancel

    boolean cancel()

  Called when "Cancel" button is pressed.

  Returns:
    whether customizer can be closed

### isValid

    boolean isValid()

  Return `true` whether value of this customizer is valid (and OK button can be enabled).

  Returns:
    `true` whether value of this customizer is valid

### addPropertyChangeListener

    void addPropertyChangeListener(PropertyChangeListener l)

  Add a listener to property changes.

  Parameters:
    `l` - the listener to add

### removePropertyChangeListener

    void removePropertyChangeListener(PropertyChangeListener l)

  Remove a listener to property changes.

  Parameters:
    `l` - the listener to remove

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.spi.debugger.ui/1 2.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.